Bug 571179

Summary: totem-plugin-viewer screensaver disabler sends "Alt" to the Display, if OOo is in the foreground File-menu opens 'automatically'
Product: [Fedora] Fedora Reporter: Martin Kho <lists.kho>
Component: totemAssignee: Bastien Nocera <bnocera>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: low    
Version: 14CC: a9016009, bnocera, bughunt, caolanm, collura, dtardon, phhs80, sumstultussedesquoque
Target Milestone: ---Keywords: Reopened
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2012-08-16 17:48:10 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description Martin Kho 2010-03-07 08:08:07 EST
Description of problem:
When I start any Openoffice.org program (writer, calc ...) and wait a while, the File-menu opens 'automatically'. Huh? :-) Other gtk apps (e.g. Firefox) don't have this issue. This could be relevant, because I'm using KDE 4.4.0. 

Version-Release number of selected component (if applicable):
openoffice.org-*-3.1.1-19.26.fc12.x86_64

Steps to Reproduce:
1. Start writer
2. wait a few seconds (~5 - 10)
3. File-menu opens
  
Actual results:
File-menu opens 'automatically'

Expected results:
File-menu doesn't open when I do nothing

Additional info:
Comment 1 Martin Kho 2010-03-07 08:29:44 EST
Hi,

Something is strange. The last time Openoffice.org was updated, was Feb. 17. I've used Openoffice.org a lot lately, but I can't think of this issue was present. Two, or may be three days ago the issue showed up for the first time. So I'm not sure - I doubt - if Openoffice.org is the 'trouble maker'. I've no idea what can make the file-menu to open.

Hope this info can help.


Martin Kho

Btw. My system is fully updated. Adobe Flash is the only proprietary software I use.
Comment 2 Martin Kho 2010-03-07 09:07:29 EST
Hi,

Update on this mysterious issue.

There seems to be an interference with totem(-mozplugin)/gstreamer. I've found out that looking at some streaming video - I was looking at speed skating - in Firefox, the issue in writer shows up. Closing the totem-plugin 'solves' the issue.

Totem:
* totem-pl-parser-2.28.2-1.fc12.x86_64
* totem-2.28.5-1.fc12.x86_64
* totem-mozplugin-2.28.5-1.fc12.x86_64

Gstreamer:
* gstreamer.x86_64-0.10.25.1-3.fc12 @updates
* gstreamer-ffmpeg.x86_64-0.10.9-1.fc12 @rpmfusion-free
* gstreamer-plugins-bad.x86_64-0.10.17-2.fc12 @rpmfusion-free-updates
* gstreamer-plugins-bad-extras.x86_64-0.10.17-2.fc12 @rpmfusion-free-updates
* gstreamer-plugins-base.x86_64-0.10.25.1-2.fc12 @updates
* gstreamer-plugins-flumpegdemux.x86_64-0.10.15-8.fc12 @fedora
* gstreamer-plugins-good.x86_64-0.10.17-4.fc12 @updates
* gstreamer-plugins-ugly.x86_64-0.10.13-1.fc12 @rpmfusion-free
* gstreamer-rtsp.x86_64-0.10.4-1.fc12 @fedora
* gstreamer-tools.x86_64-0.10.25.1-3.fc12 @updates

Hope this helps,

Martin Kho
Comment 3 Caolan McNamara 2010-03-08 03:53:10 EST
Sorry, what!. You mean start writer, look at a video in firefox and the file menu in writer opens up ? Do you have a url/web-site that demonstrates this ?
Comment 4 Martin Kho 2010-03-08 06:10:33 EST
Hi,

Yes, it was a big surprise for me too!

1) Start this stream (Dutch politics):
mms://emil07.omroep.nl/thema_politiek24-bb-public?/nos/politiek24-bb&md5=9df41ace73eede71ec564794c3fd2535&t=4b94da50

2) Start Writer

3) Wait a while ... 

4) Keep looking at writer and the file-menu opens, at least on my machine.

Martin Kho
Comment 5 Martin Kho 2010-03-08 06:22:33 EST
Hi,

Yes, it was a big surprise for me too!

1) Start this stream (Dutch politics):
mms://emil07.omroep.nl/thema_politiek24-bb-public?/nos/politiek24-bb&md5=9df41ace73eede71ec564794c3fd2535&t=4b94da50

2) Start Writer

3) Wait a while ... 

4) Keep looking at writer and the file-menu opens, at least on my machine.

Martin Kho
Comment 6 Martin Kho 2010-03-08 06:23:47 EST
Hi,

Comment #5 was posted, because I got an 'collision'. sorry.

Martin Kho
Comment 7 Martin Kho 2010-03-08 07:33:19 EST
Hi,

If you don't like Dutch politics, which I can imagine :-) you can also go to:

http://news.steelers.com/teamPass/support/stream/


Choose http or mms stream. Both causes the file-menu to open.

Martin Kho
Comment 8 Caolan McNamara 2010-03-09 09:51:08 EST
Don't see it myself. Any specific customizations to the default KWin config ?. OOo just has to be launched after starting off the video, right. Is it just in the background, or on another workspace or iconized or anything like that. My only vague theory is that there's some odd XSendEvent being inadvertently sent to OOo from something else.
Comment 9 Caolan McNamara 2010-03-09 10:05:19 EST
What's slightly unusual about OOo, is that F-10 or holding down the Alt key causes the file menu to open, but in all those cases OOo has to have the focus.
Comment 10 Martin Kho 2010-03-09 10:16:42 EST
Hi,

I've six virtual desktops in KDE. On desktop four sits Firefox and Totem-mozplugin streaming a mms-stream. On desktop five or six I launched OOo-writer. Ooo-writer is having the focus, i.e. desktop five or six is visible. I didn't hit any keys.

Hope this helps,

Martin Kho
Comment 11 Caolan McNamara 2010-03-09 10:33:22 EST
Well, what d'ya know. Reproducible.
Comment 12 Caolan McNamara 2010-03-09 10:57:29 EST
Somebody is sending a ALT keycode to OOo.
Comment 13 Caolan McNamara 2010-03-09 11:13:43 EST
totem-plugin-viewer due to the screensaver disable code using XTestFakeKeyEvent lib/totem-scrsaver.c sends an Left Alt keycode to the Display, so if the video is playing in a browser and OOo is in the foreground then OOo gets an "Alt" key and acts as per its usual behaviour for that.
Comment 14 Martin Kho 2010-03-09 11:24:31 EST
Hi,

Thanks for you wonderful searching! No 'people' from Mars? :-)
So Totem needs to 'press' another key. Do I have to file a bug against Totem with this bug as a reference?

Martin Kho
Comment 15 Bastien Nocera 2010-03-09 13:21:35 EST
(In reply to comment #13)
> totem-plugin-viewer due to the screensaver disable code using XTestFakeKeyEvent
> lib/totem-scrsaver.c sends an Left Alt keycode to the Display, so if the video
> is playing in a browser and OOo is in the foreground then OOo gets an "Alt" key
> and acts as per its usual behaviour for that.    

That would only happen when gnome-screensaver isn't running.
Comment 16 Martin Kho 2010-03-09 13:39:54 EST
Hi Bastien,

So it happens, because gnome-screensaver isn't installed/running in KDE. Are you telling me, that I've to run gnome-screensaver?

Martin Kho
Comment 17 Martin Kho 2010-04-01 04:52:42 EDT
Hi,

This report can be closed, because I've removed totem. So I'm not able to report if this issue is solved or not.

Thanks,

Martin Kho
Comment 18 Caolan McNamara 2010-06-14 07:29:44 EDT
*** Bug 603693 has been marked as a duplicate of this bug. ***
Comment 19 Paul Smith 2010-06-14 07:42:42 EDT
Apparently, not only Totem is causing the problem: when you open this online radio on Firefox, the problem occurs as well:

http://m80.clix.pt/player/frame_player_6_4.asp?speed=3&#

I do not think Totem is behind, as it appears that is flash that plays the stream.

Paul
Comment 20 Paul Smith 2010-06-14 13:45:12 EDT
(In reply to comment #19)
> Apparently, not only Totem is causing the problem: when you open this online
> radio on Firefox, the problem occurs as well:
> 
> http://m80.clix.pt/player/frame_player_6_4.asp?speed=3&#
> 
> I do not think Totem is behind, as it appears that is flash that plays the
> stream.

Please, ignore the above comment: I have just confirmed that totem-plugin-viewer is indeed used to play the mentioned online radio. 

Sorry about that,

Paul
Comment 21 Bug Zapper 2010-11-03 16:33:35 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 22 Bug Zapper 2010-12-03 16:54:04 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 23 Caolan McNamara 2011-01-19 10:53:07 EST
*** Bug 670880 has been marked as a duplicate of this bug. ***
Comment 24 Paul Smith 2011-01-19 10:59:37 EST
Please, reopen this bug, as it still persists on F14.

Paul
Comment 25 Paul Smith 2011-01-19 15:01:30 EST
Please, try to fix this bug as soon as possible, as it is very annoying to be working with OpenOffice and having the File-menu popping up so very often.

Paul
Comment 26 sumstultussedesquoque 2011-01-25 01:30:49 EST
It should be noted that this also occurs with the standalone totem (1:2.32.0-1.fc14) player, not just the totem plugin.

~Sirius
Comment 27 Caolan McNamara 2011-02-08 16:32:43 EST
*** Bug 676119 has been marked as a duplicate of this bug. ***
Comment 28 David Tonhofer 2011-10-18 05:20:39 EDT
Interesting.

Yesterday I had this problem and closing totem player resolved it. I thought I had a stuck ALT key.

Today, cannot reproduce. But the gnome screensaver doesn't kick in. Dangerous in office environments.

Additionally, there is an option in totem player (Preferences->Display) 
which says:

"Disable screensaver when playing  [ ] Video   [X] Video or Audio"

Maybe that helps?
Comment 29 Andre Klapper 2012-01-31 12:24:44 EST
Fixed upstream: https://bugzilla.gnome.org/show_bug.cgi?id=654250
Comment 30 Fedora End Of Life 2012-08-16 17:48:13 EDT
This message is a notice that Fedora 14 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 14. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '14' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 14 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping